/*
 * Copyright 2001 Vrije Universiteit, The Netherlands.
 * For full copyright and restrictions on use see the file COPYRIGHT in the
 * top level of the CCJ distribution.
 */

import CCJ.*;
import java.io.Serializable;

class MaxDoubleArray implements Reducible {

    public Serializable reduce(Serializable obj1, Serializable obj2) {
	double [] a1 = (double []) obj1;
	double [] a2 = (double []) obj2;

	for (int i=0;i<a1.length;i++) {
		if (a1[i] < a2[i]) a1[i] = a2[i];
	}
	
	return a1;
    }

}
