/*
 * Copyright 2001 Vrije Universiteit, The Netherlands.
 * For full copyright and restrictions on use see the file COPYRIGHT in the
 * top level of the CCJ distribution.
 */

import CCJ.*;
import java.io.Serializable;

class SumByteArray implements Reducible {

    public Serializable reduce(Serializable obj1, Serializable obj2) {
	byte [] a1 = (byte []) obj1;
	byte [] a2 = (byte []) obj2;

	for (int i=0;i<a1.length;i++) {
		a1[i] += a2[i];
	}
	
	return a1;
    }

}
